zsync (0.6.2-3ubuntu1) bionic; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - clienthttp.diff:
      + client.c, http.c: Add an offset field ("O"), wanted for apt-zsync
        because we want to step past the first members in the .deb archive
      + client.c: Print progress even if output is not a tty. This makes it
        possible to gather statistics for an experimental apt-get
        method.
      + http.c: use off_t instead of size_t where appropriate, for 64-bit
        cleanness

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 18 Feb 2018 22:42:55 -0600

zsync (0.6.2-3) unstable; urgency=medium

  * Maintenance Release
    * Move to newer debhelper version
    * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Tue, 06 Feb 2018 11:18:34 +0100

zsync (0.6.2-2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - clienthttp.diff:
      + client.c, http.c: Add an offset field ("O"), wanted for apt-zsync
        because we want to step past the first members in the .deb archive
      + client.c: Print progress even if output is not a tty. This makes it
        possible to gather statistics for an experimental apt-get
        method.
      + http.c: use off_t instead of size_t where appropriate, for 64-bit
        cleanness

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 Mar 2017 03:21:15 -0400

zsync (0.6.2-2) unstable; urgency=medium

  * Maintenance release
    * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Thu, 09 Jun 2016 19:57:37 +0100

zsync (0.6.2-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - clienthttp.diff:
      + client.c, http.c: Add an offset field ("O"), wanted for apt-zsync
        because we want to step past the first members in the .deb archive
      + client.c: Print progress even if output is not a tty. This makes it
        possible to gather statistics for an experimental apt-get
        method.
      + http.c: use off_t instead of size_t where appropriate, for 64-bit
        cleanness

 -- Logan Rosen <logatronico@gmail.com>  Mon, 26 Nov 2012 16:21:07 -0500

zsync (0.6.2-1) unstable; urgency=low

  * New upstream release (closes: #532818)
  * Convert to quilt format

 -- Robert Lemmen <robertle@semistable.com>  Thu, 31 May 2012 20:54:47 +0100

zsync (0.6.1-3ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - client.c, http.c:
      + Add an offset field ("O"), wanted for apt-zsync because we want to
        step past the first members in the .deb archive
    - client.c:
      + Print progress even if output is not a tty. This makes it 
        possible to gather statistics for an experimental apt-get
        method.
    - http.c:
      + use off_t instead of size_t where appropriate, for 64-bit cleanness
  * Dropped changes:
    - libzsync/zsync.c: Ubuntu change checked for updates for package
      sladen-aptsync rather than this package itself. This change wasn't 
      documented in any changelog, nor could I find a debian/ubuntu bug on
      this issue.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 09 Nov 2010 16:04:03 +0300

zsync (0.6.1-3) unstable; urgency=low

  * Something seems to have gone in 0.6.1-2, apply the patch for real 
    this time

 -- Robert Lemmen <robertle@semistable.com>  Wed, 30 Jun 2010 10:50:26 +0100

zsync (0.6.1-2) unstable; urgency=low

  * Applied patch for LFS support (closes: #562673)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 23 Mar 2010 09:59:09 +0000

zsync (0.6.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - client.c, http.c, make.c, libzsync/zsync.c:
      + Add an offset field ("O"), wanted for apt-zsync because we want to
        step past the first members in the .deb archive
    - client.c:
      + Print progress even if output is not a tty. This makes it 
        possible to gather statistics for an experimental apt-get
        method.
    - debian/rules: build with $(shell getconf LFS_CFLAGS), so that we can
      handle files over 2GB (such as DVD images) on 32-bit systems.
    - http.c:
      + use off_t instead of size_t where appropriate, for 64-bit cleanness
    - libzsync/zsync.c:
      + Use atoll() instead of atol(), to ensure support for > 32bit file
        sizes.
      + Cast to off_t before multiplying, otherwise we get random overflowage
        on the byte range.
  * Dropped changes:
    - make.c: don't force guess_gzip_options() to always return --best; this
      change is undocumented and I can't figure out why it's needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Dec 2009 08:29:48 +0000

zsync (0.6.1-1) unstable; urgency=low

  * New upstream release (closes: #444159, #469919)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 03 Jun 2009 20:19:00 +0100

zsync (0.6-1ubuntu4) karmic-proposed; urgency=low

  * http.c: range_fetch->block_left must also be off_t, not size_t.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Nov 2009 12:59:40 +0000

zsync (0.6-1ubuntu3) karmic-proposed; urgency=low

  * debian/rules: build with $(shell getconf LFS_CFLAGS), so that we can
    handle files over 2GB (such as DVD images) on 32-bit systems.
    LP: #412413.
  * http.c:
    - drop local delta, not needed if we use LFS_CFLAGS
    - fix ETA calculation on the progress bar
  * libzsync/zsync.c:
    - Use atoll() instead of atol(), to ensure support for > 32bit file
      sizes.
    - Cast to off_t before multiplying, otherwise we get random overflowage
      on the byte range.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Nov 2009 08:54:51 +0000

zsync (0.6-1ubuntu2) karmic; urgency=low

  * http.c: fixup offsets that are larger than signed ints (LP: #420931)

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 31 Aug 2009 02:14:24 -0700

zsync (0.6-1ubuntu1) karmic; urgency=low

  * Merge with Debian unstable (LP: #301291). Remaining changes:
     - client.c, http.c, make.c, libzsync/zsync.c:
        + Add an offset field ("O").
     - client.c:
        + Print progress even if output is not a tty. This makes it 
          possible to gather statistics for an experimental apt-get
          method.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 30 Apr 2009 20:32:06 +0200

zsync (0.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 10 Feb 2009 10:44:19 +0000

zsync (0.5-2) unstable; urgency=low

  * Fixed manual page ordering (closes: #402795)
  * Support for GNU --long options (closes: #402796)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 29 Aug 2007 13:18:58 +0200

zsync (0.5-1ubuntu3) hardy; urgency=low

  * Modify Maintainer value to match the DebianMaintainerField
    specification (LP: #176738).

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 16 Dec 2007 19:37:31 +0100

zsync (0.5-1ubuntu2) feisty; urgency=low

  * print progress even if output is not a tty. This makes it 
    possible to gather statistics for a experimental apt-get method

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 13:54:45 +0100

zsync (0.5-1ubuntu1) feisty; urgency=low

  * Merge from debian unstable.
  * http.c: changed off64_t to off_t
  * Remaining Changes:
    - Fix offset field so that a download of an odd number of bytes
      is possible.
    - Bugfixes for apt-sync.
    - Add an offset field.

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 21 Dec 2006 16:12:20 +0100

zsync (0.5-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sat,  7 Oct 2006 14:55:00 +0200

zsync (0.4.3-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Fix offset field so that a download of an odd number of bytes
      is possible.
    - Bugfixes for apt-sync.
    - Add an offset field.

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Mon, 11 Sep 2006 22:04:41 +1000

zsync (0.4.3-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 25 Jul 2006 10:59:24 +0200

zsync (0.4.2-1ubuntu1) edgy; urgency=low

  [Felix Feyertag]
  * Fix offset field so that download of odd number of bytes is possible.
  * Bugfixes for apt-sync
  [Paul Sladen]
  * Add an offset field
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Sep 2006 11:06:14 +0200

zsync (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 18 Oct 2005 10:55:19 +0200

zsync (0.4.1-1) unstable; urgency=low

  * New upstream release (closes: #318759)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 18 Jul 2005 14:33:23 +0200

zsync (0.4.0-2) unstable; urgency=low

  * Security update for CAN-2005-2096

 -- Robert Lemmen <robertle@semistable.com>  Mon, 11 Jul 2005 19:57:42 +0200

zsync (0.4.0-1) unstable; urgency=low

  * New upstream release (closes: #306557)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 18 May 2005 11:31:03 +0200

zsync (0.3.3-1) unstable; urgency=low

  * New upstream release (closes: #301209)

 -- Robert Lemmen <robertle@semistable.com>  Sun, 27 Mar 2005 16:10:09 +0200

zsync (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Mon, 14 Mar 2005 17:43:45 +0100

zsync (0.2.3-1) unstable; urgency=low

  * New upstream release (closes: #295410)

 -- Robert Lemmen <robertle@semistable.com>  Sat, 19 Feb 2005 15:59:20 +0100

zsync (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun, 13 Feb 2005 18:46:19 +0100

zsync (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed,  9 Feb 2005 15:54:55 +0100

zsync (0.2.0-1) unstable; urgency=low

  * New upstream release (closes: #289427)

 -- Robert Lemmen <robertle@semistable.com>  Mon,  7 Feb 2005 16:25:52 +0100

zsync (0.1.6-1) unstable; urgency=low

  * New upstream release (closes: #289424, #289427)

 -- Robert Lemmen <robertle@semistable.com>  Sat, 15 Jan 2005 18:03:37 +0100

zsync (0.1.5-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 22 Dec 2004 15:35:41 +0100

zsync (0.1.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 14 Dec 2004 20:49:08 +0100

zsync (0.1.3-1) experimental; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun, 12 Dec 2004 18:42:16 +0100

zsync (0.1.2-1) experimental; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue,  7 Dec 2004 19:19:46 +0100

zsync (0.1.0-1) experimental; urgency=low

  * Initial release. (closes: #279551)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 15 Nov 2004 12:56:46 +0100

